;---------------------------------------------------
;
; ISN AutoIt Studio Testproject 2 (build 23.04.2020)
; by ISI360 (Christian Faderl), created with ISN Autoit Studio
;
;---------------------------------------------------
; Welcome in the ISN AutoIt Studio Testproject 3!
; This example shows nested GUI Elements with the ISN Form Studio 2.
; Nested GUIs can be used for very complex GUIs with many controls. Instead of putting everything in one big .isf file, you can split up areas of the GUI in seperate .isf files.
; So you can organize your GUI in "groups" as you prefer
; In this example, every tabpage is splitted in a seperate .isf file.
; NOTE: This example needs ISN AutoIt Studio version 1.11 or newer!
;---------------------------------------------------
;
; What this script does:
; - You will find the GUI in Forms\GUI_Main.isf. This file is the Main-File for our GUI. This file needs to be included in the script.
; 	|-> In this example, every tabpage is splitted in a seperate .isf file. (GUI_TabPage1.isf and so on...)
; 	|-> This is realized with the "Extracode Element"-Control in the Formstudio. These is a dummy Control with some AutoIt Code behind it.
; 	|-> If you open the GUI_Main.isf file, you will see various extracode elements (like Include_TabPage1). Select these control and click on Extracode. Here you will find
;	|	the included Tabpage. (So the GUI Code from GUI_TabPage1.isf will be inserted at this position on the GUI. In our case on TabPage 1)
; 	|-> The parent .isf file must be set to "Only write controls in the .isf file" in the Form settings! With this option the Form Studio will not output it´s own GUI in the Code.
;	|-> Note: All the control in this example do not have any function. It´s just for demonstration.
;
; Run this project with the F5 key. (Or choose Project -> Test project from the menubar)
; Happy testing!
;---------------------------------------------------

;Set script high DPI aware
DllCall("User32.dll", "bool", "SetProcessDPIAware")

#include "Forms\GUI_Main.isf" ;Include the .isf..
GUISetState(@SW_SHOW, $GUI_Main) ;..and show the GUI

While 1
	Switch GUIGetMsg()
		Case $GUI_EVENT_CLOSE
			ExitLoop

	EndSwitch
WEnd


